// DiiDemoDlg.h : header file
//

#if !defined(AFX_DIIDEMODLG_H__903D2046_C9E0_11D0_B9FC_0020AF6CD146__INCLUDED_)
#define AFX_DIIDEMODLG_H__903D2046_C9E0_11D0_B9FC_0020AF6CD146__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "DioPage.h"
#include "AioPage.h"
#include "TimerPage.h"
#include "PulseCountPage.h"
#include "BlockIoPage.h"
#include "AnaBlockIoPage.h"

/////////////////////////////////////////////////////////////////////////////
// CDiiDemoDlg dialog

class CDiiDemoDlg : public CPropertySheet
{
	DECLARE_DYNAMIC(CDiiDemoDlg);

// Construction
public:
	CDiiDemoDlg(CWnd* pParent = NULL);	// standard constructor

	HANDLE GetDeviceHandle()
		{ return m_hDevice; }

// Dialog Data
	//{{AFX_DATA(CDiiDemoDlg)
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDiiDemoDlg)
	public:
	virtual int DoModal();
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDiiDemoDlg)
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	HANDLE m_hDevice;

			// The DII handle to the device we've opened.

			//
			// The property pages:
			//
	CDioPage m_dioPage;

	CAioPage m_aioPage;

	CTimerPage m_timerPage;

	CPulseCountPage m_pulseCountPage;

	CAnaBlockIoPage m_anaBlockIoPage;

	CBlockIoPage m_blockIoPage;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIIDEMODLG_H__903D2046_C9E0_11D0_B9FC_0020AF6CD146__INCLUDED_)
